Bug 582778 - Provide trademark-unencumbered versions of all software
Provide trademark-unencumbered versions of all software
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
: Tracking
Depends On: 582784
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-15 15:07 EDT by Matt McCutchen
Modified: 2014-03-16 23:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt McCutchen 2010-04-15 15:07:33 EDT
Freedom is listed as a core value of the Fedora project (https://fedoraproject.org/wiki/Foundations#Freedom), and that includes freedom to distribute modified versions of the software.  However, Fedora contains some software with trademarks that restrict distribution of modified versions.  In order to facilitate freedom, Fedora should provide alternative trademark-unencumbered versions of all such software.
Comment 1 Jason Tibbitts 2010-04-15 15:54:35 EDT
I would suggest that if you want this, you get busy packaging some of these trademark-unencumbered versions, taking care that they don't conflict with existing packages.  I think that if done properly they would be approve just as any other package.  Simply stating that Fedora should do something, however, doesn't get it done.
Comment 2 Matt McCutchen 2010-04-15 16:00:16 EDT
(In reply to comment #1)
> Simply stating that Fedora should do something, however,
> doesn't get it done.    

I understand that.  For now, I am just entering the bug that it is desirable.
Comment 3 Paul W. Frields 2010-04-19 16:34:47 EDT
The packages generic-logos, generic-release, generic-release-notes are available which remove trademarked material in fedora-logos, fedora-release, and fedora-release-notes respectively.

If you have other specific trademark-related inclusions that are not solved with these packages, please feel free to list specifics here.
Comment 4 Matt McCutchen 2010-04-19 16:52:01 EDT
(In reply to comment #3)
> The packages generic-logos, generic-release, generic-release-notes are
> available which remove trademarked material in fedora-logos, fedora-release,
> and fedora-release-notes respectively.

Yes, I'm very grateful for that work!

> If you have other specific trademark-related inclusions that are not solved
> with these packages, please feel free to list specifics here.    

The one I am currently aware of is Firefox.  It is in the "depends on" field.
Comment 5 Matěj Cepl 2011-04-15 08:12:51 EDT
(In reply to comment #4)
> The one I am currently aware of is Firefox.  It is in the "depends on" field.

You miss (at least) Thunderbird, but please don't do file these bugs against Firefox/Thunderbid etc. I don't think any Firefox/Thundebird maintainers have free capacity to resolve these bugs. I think better would be to make a package and then make Package Review request bug.

Note You need to log in before you can comment on or make changes to this bug.